Skip to main content

Get Location Call-to-Action Options

API Description

Get a location's available calls-to-action (CTAs) for use on a place card. Supply the unique Apple-generated location ID assigned to the partner’s description of a location, and the service will return the corresponding list.

The list that is returned is an aggregation of all the available providers of CTAs that are associated with the location. Ordering of providers may reflect a previous request by an authorized organization to Order CTA Providers.

When a CTA is listed, but no action link has been submitted by a provider, the providers list is empty. The list does not include types inherited from the associated brand (such as quicklinks to an app). View this API within the context of a recommended workflow here.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/locations/{locationId}/calls-to-action
Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/calls-to-action

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
content-type: application/json
apple-request-id: 7b9f3bc1-6fc4-497e-98b0-9de20aa72062

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]providers[]
REQUIRED
data[]text
REQUIRED
data[]type
REQUIRED
Example Response Body (raw JSON)
{
"data":[
{
"type": "ORDER",
"text": "Feature that allows user to order food from a restaurant",
"providers": [
{
"relationship": "OWNER",
"url": "https://southerleighfinedining.com/order"
},
{
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/yelp-food-delivery-reviews/id284910350"
},
{
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/uber-eats-food-delivery/id1058959277"
}
]
},
{
"type": "DELIVERY",
"text": "Feature that allows user to place a delivery order from a restaurant",
"providers": [
{
"relationship": "OTHER",
"appStoreUrl": "https://apps.apple.com/us/app/uber-eats-food-delivery/id1058959277"
},
{
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/yelp-food-delivery-reviews/id284910350"
},
{
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/doordash-food-delivery/id719972451"
}
]
},
{
"type": "RESERVE_TABLE",
"text": "Feature that allows user to reserve a table",
"providers": [
{
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/opentable/id296581815"
},
{
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/opentable/id296581815"
}
]
},
{
"type": "WAITLIST",
"text": "Feature to allow user to join a wait list at a restaurant",
"providers": []
}
]
}